Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update document space

PATCH/workspaces/{organizationId}/document-spaces/{id}
Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
namestring
min length 1
descriptionstring | null
iconstring | null
publicSharingboolean
Responses
200Space updated
idstringrequired
organizationIdstringrequired
namestringrequired
descriptionstring | nullrequired
iconstring | nullrequired
publicSharingbooleanrequired
createdByIdstringrequired
createdAtstringrequired
404Space not found
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH "/workspaces/string/document-spaces/string" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "description": "string",
  "icon": "string",
  "publicSharing": true
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "description": "string",
  "icon": "string",
  "publicSharing": true,
  "createdById": "string",
  "createdAt": "string"
}